/*General*/

* {
    margin: 0;
    padding: 0;
    list-style: none;
    text-decoration: none;
}

:root {
    --bgcolor: #0D1B2A;
    /*main general color*/
    --contrastcolor: #E0E1DD;
    /*font color*/
    --hovercolor: #778DA9;
    /*Selective color*/
    /*Font family in header file*/
}


/*Typography, colors and background*/

.mainbody-container-container {
    background: var(--contrastcolor);
}

.purpose-content h1 {
    background: var(--hovercolor);
    color: var(--contrastcolor);
}

.services {
    background: var(--hovercolor);
}

.service-content-title {
    background: var(--hovercolor);
    color: var(--contrastcolor)
}

.headings {
    background: var(--hovercolor);
    color: var(--contrastcolor);
}


/*Styling*/

.mainbody-container {
    max-width: 75rem;
    margin: 0 auto;
    padding: 1em;
    /*border: 2px solid magenta;*/
}

.introduction-body,
.content1,
.content2 {
    /*border: 2px solid magenta;*/
    padding: 0 1em;
}

.introduction-body img {
    max-width: 100%;
    height: 100%;
    object-fit: contain;
}

.purpose {
    display: flex;
    justify-content: space-around;
    /*border: 3px solid yellow;*/
}

.purpose-content {
    width: 55%;
}

.purpose-content h1 {
    padding: .5em 0;
    width: 100%;
    text-align: center;
    margin: .5em 0;
    /*border: 3px solid red;*/
}

.purpose-image {
    width: 35%;
    max-width: 100%;
    padding: 1em;
    /*border: 3px solid orange;*/
}

.purpose-image img {
    object-fit: scale-down;
}

.purpose-image img {
    height: 100%;
    width: 100%;
}

.content-message {
    padding-top: 0.7em;
}

.content-image {
    /*border: 1px solid red;*/
    width: 100%;
}

.headings {
    padding: .5em 0;
    text-align: center;
    margin-bottom: 1em;
}

.services {
    padding: 0 2em 2em 2em;
}

.services-container {
    max-width: 75rem;
    width: 80%;
    margin: 0 auto;
    display: flex;
    justify-content: space-around;
    /*border: 3px solid yellow;*/
}

.services h3 {
    width: 100%;
    text-align: center;
    padding: 1em 0;
    /*border: 1px solid red;*/
}

.service1 {
    width: 47%;
    /*border: 2px solid red;*/
    background-image: url(taxpic.jpg);
    background-size: cover;
}

.service2 {
    width: 47%;
    /*border: 2px solid green;*/
    background-image: url(img-for-audit.jpg);
    background-size: cover;
}

.service-content {
    width: 35%;
    text-align: center;
    min-height: 20rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.service-content-title {
    padding: .5em;
    width: fit-content;
}


/*Media Querries*/

@media (max-width: 500px) {
    .purpose {
        flex-direction: column;
    }
    .purpose-content {
        width: 100%;
    }
    .purpose-image {
        margin: 0 auto;
        width: 100%;
        padding: 0;
    }
     :root {
        line-height: 170%;
    }
    .introduction-body img {
        max-width: 100%;
    }
     :is(.mainbody-container, .introduction-body) {
        padding: 0;
    }
    .content-message,
    p {
        padding: 0 2em;
    }
    .services {
        /*border: 3px solid yellow;*/
        padding: 0.5em;
    }
    .service-content {
        width: 60%;
        min-height: 10rem;
        /* border: 1px solid green;*/
    }
    .service-content:first-child {
        margin-right: 2em;
    }
    .services-container {
        width: 100%;
        flex-direction: column;
    }
    .service1,
    .service2 {
        width: 100%;
        margin-bottom: 1em;
    }
}